### R code from vignette source 'rbrothers_tutorial.Rnw'
### Encoding: UTF-8

###################################################
### code chunk number 1: rbrothers_tutorial.Rnw:45-46
###################################################
options(width=60, continue=" ")


###################################################
### code chunk number 2: one
###################################################
library(rbrothers)


###################################################
### code chunk number 3: two
###################################################
my.align = read.dna(file=system.file("extdata/KAL153/KAL153.phy", 
	  	   package="rbrothers"))
write.dna(my.align,"KAL153.phy")


###################################################
### code chunk number 4: three
###################################################
db<-dualbrothers(seed=123,alignment="KAL153",format="interleaved",par_lambda=5,top_lambda=0.693)


###################################################
### code chunk number 5: four
###################################################
db<-readdb("KAL153")


###################################################
### code chunk number 6: plotmcmc
###################################################
plotmcmc(db)


###################################################
### code chunk number 7: dbfigure1
###################################################
plotmcmc(db)


###################################################
### code chunk number 8: plotdb
###################################################
plot(db)


###################################################
### code chunk number 9: dbfigure2
###################################################
plot(db)


###################################################
### code chunk number 10: treeplotdb2
###################################################
plottree.db(db,type="phylogram")


###################################################
### code chunk number 11: dbfigure3
###################################################
plottree.db(db,type="phylogram")


###################################################
### code chunk number 12: plotdb3
###################################################
plot(db,seetrees=TRUE,threshold=0.5,type="cladogram")


###################################################
### code chunk number 13: dbfigure4
###################################################
plot(db,seetrees=TRUE,threshold=0.5,type="cladogram")


###################################################
### code chunk number 14: six
###################################################
summary(db)


###################################################
### code chunk number 15: seven
###################################################
breakpointCI(db,1000,3000)


